## opencpn-plugin-tidefinder 0.1.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Rasbats aka. Mike Rossiter
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
PROJECT(tidefinder_pi)

SET(PACKAGE_NAME tidefinder_pi)
SET(VERBOSE_NAME TideFinder)
SET(TITLE_NAME TideFinder)
SET(CPACK_PACKAGE_CONTACT "Mike Rossiter")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "1")

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_TIDEFINDER
            src/TideFinder_pi.h
            src/TideFinder_pi.cpp
            src/icons.h
            src/icons.cpp
            src/TideFindergui.h
            src/TideFindergui.cpp
            src/TideFindergui_impl.cpp
            src/TideFindergui_impl.h
            src/NavFunc.h
            src/NavFunc.cpp
            src/tcmgr.cpp
            src/tcmgr.h
            src/TCWin.cpp
            src/TCWin.h
            src/timectrl.h
            src/timectrl.cpp
    )

IF(UNIX)
 INCLUDE("cmake/FindTinyXML.cmake")
 FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX)

IF(TINYXML_FOUND)
 message (STATUS "Building with system tinyxml")
 INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_TIDEFINDER})
 TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${TINYXML_LIBRARIES})
ELSE(TINYXML_FOUND)
 message (STATUS "Building with embedded tinyxml")
 INCLUDE_DIRECTORIES(src/tinyxml/)
 SET(SRC_LTINYXML
            src/tinyxml/tinyxml.cpp
            src/tinyxml/tinyxmlparser.cpp
            src/tinyxml/tinyxmlerror.cpp
 )
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_TIDEFINDER} ${SRC_LTINYXML})
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-tidefinder (0.1.0-0mx17+2) mx; urgency=medium

  * Set wxxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:37:52 -0700

opencpn-plugin-tidefinder (0.1.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 16:19:39 -0700

opencpn-plugin-tidefinder (0.1.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:55:41 -0700

opencpn-plugin-tidefinder (0.1.0-0~trusty1) trusty; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~utopic1) utopic; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~vivid1) vivid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~wily1) wily; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

=== debian/control ===
Source: opencpn-plugin-tidefinder
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-tidefinder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
